PHP ��U
前一頁 |  | 下一頁

# http_throttle

(PECL)

http_throttle -- HTTP throttling

## Description

void http_throttle ( [double sec [, int bytes = 40960]] )

Sets the throttle delay and send buffer size for use with http_send() API. Provides a basic throttling mechanism, which will yield the current process resp. thread until the entity has been completely sent, though.

## Parameters

sec

  seconds to sleep after each chunk sent

bytes

  the chunk size in bytes

## �d��

範例 1. A http_throttle() example Send file with approximately 20 kbyte/s.
`<?php // ~ 20 kbyte/s # http_throttle(1, 20000); # http_throttle(0.5, 10000); # http_throttle(0.1, 2000); http_send_file('document.pdf'); ?> ?>`

前一頁 | 內容 | 下一頁
http_send_stream | 上一層 | http_build_str